IO::Seekable(3)

NAME
IO::Seekable - supply seek based methods for I/O objects

SYNOPSIS

    use IO::Seekable;
    package IO::Something;
    @ISA = qw(IO::Seekable);

DESCRIPTION
IO::Seekable does not have a constructor of its own as it is intended to be inherited by other IO::Handle based objects. It provides methods which allow seeking of the file descriptors.

If the C functions fgetpos() and fsetpos() are available, then IO::File::getpos returns an opaque value that represents the current position of the IO::File, and IO::File::setpos uses that value to return to a previously visited position.

See the perlfunc manpage for complete descriptions of each of the following supported IO::Seekable methods, which are just front ends for the corresponding built-in functions:

    seek
    tell

SEE ALSO
the perlfunc manpage, the section on I/O Operators in the perlop manpage, the IO::Handle manpage the IO::File manpage

HISTORY
Derived from FileHandle.pm by Graham Barr <bodg@tiuk.ti.com>